IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network67.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
- Network address
67.0.0.0- Broadcast address
67.255.255.255- First usable
67.0.0.1- Last usable
67.255.255.254- Usable hosts
- 16,777,214 (16,777,216 less the network and broadcast addresses)
- Subnet mask
255.0.0.0- Wildcard mask
0.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /8
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
43000000· Integer1124073472to1140850687 - Reverse DNS zone
67.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01000011..00000000.00000000.00000000 | 67.0.0.0 |
| Subnet mask | 11111111..00000000.00000000.00000000 | 255.0.0.0 |
| Network | 01000011..00000000.00000000.00000000 | 67.0.0.0 |
| Broadcast | 01000011..11111111.11111111.11111111 | 67.255.255.255 |
Split into smaller subnets
/9 (2)/10 (4)/11 (8)/12 (16)/13 (32)/14 (64)/15 (128)/16 (256)/17 (512)/18 (1,024)/19 (2,048)/20 (4,096)
67.0.0.0/8 makes 256 subnets of /16.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 67.0.0.0/16 | 67.0.0.1 to 67.0.255.254 | 67.0.255.255 | 65,534 |
| 2 | 67.1.0.0/16 | 67.1.0.1 to 67.1.255.254 | 67.1.255.255 | 65,534 |
| 3 | 67.2.0.0/16 | 67.2.0.1 to 67.2.255.254 | 67.2.255.255 | 65,534 |
| 4 | 67.3.0.0/16 | 67.3.0.1 to 67.3.255.254 | 67.3.255.255 | 65,534 |
| 5 | 67.4.0.0/16 | 67.4.0.1 to 67.4.255.254 | 67.4.255.255 | 65,534 |
| 6 | 67.5.0.0/16 | 67.5.0.1 to 67.5.255.254 | 67.5.255.255 | 65,534 |
| 7 | 67.6.0.0/16 | 67.6.0.1 to 67.6.255.254 | 67.6.255.255 | 65,534 |
| 8 | 67.7.0.0/16 | 67.7.0.1 to 67.7.255.254 | 67.7.255.255 | 65,534 |
| 9 | 67.8.0.0/16 | 67.8.0.1 to 67.8.255.254 | 67.8.255.255 | 65,534 |
| 10 | 67.9.0.0/16 | 67.9.0.1 to 67.9.255.254 | 67.9.255.255 | 65,534 |
| 11 | 67.10.0.0/16 | 67.10.0.1 to 67.10.255.254 | 67.10.255.255 | 65,534 |
| 12 | 67.11.0.0/16 | 67.11.0.1 to 67.11.255.254 | 67.11.255.255 | 65,534 |
| 13 | 67.12.0.0/16 | 67.12.0.1 to 67.12.255.254 | 67.12.255.255 | 65,534 |
| 14 | 67.13.0.0/16 | 67.13.0.1 to 67.13.255.254 | 67.13.255.255 | 65,534 |
| 15 | 67.14.0.0/16 | 67.14.0.1 to 67.14.255.254 | 67.14.255.255 | 65,534 |
| 16 | 67.15.0.0/16 | 67.15.0.1 to 67.15.255.254 | 67.15.255.255 | 65,534 |
| 17 | 67.16.0.0/16 | 67.16.0.1 to 67.16.255.254 | 67.16.255.255 | 65,534 |
| 18 | 67.17.0.0/16 | 67.17.0.1 to 67.17.255.254 | 67.17.255.255 | 65,534 |
| 19 | 67.18.0.0/16 | 67.18.0.1 to 67.18.255.254 | 67.18.255.255 | 65,534 |
| 20 | 67.19.0.0/16 | 67.19.0.1 to 67.19.255.254 | 67.19.255.255 | 65,534 |
| 21 | 67.20.0.0/16 | 67.20.0.1 to 67.20.255.254 | 67.20.255.255 | 65,534 |
| 22 | 67.21.0.0/16 | 67.21.0.1 to 67.21.255.254 | 67.21.255.255 | 65,534 |
| 23 | 67.22.0.0/16 | 67.22.0.1 to 67.22.255.254 | 67.22.255.255 | 65,534 |
| 24 | 67.23.0.0/16 | 67.23.0.1 to 67.23.255.254 | 67.23.255.255 | 65,534 |
| 25 | 67.24.0.0/16 | 67.24.0.1 to 67.24.255.254 | 67.24.255.255 | 65,534 |
| 26 | 67.25.0.0/16 | 67.25.0.1 to 67.25.255.254 | 67.25.255.255 | 65,534 |
| 27 | 67.26.0.0/16 | 67.26.0.1 to 67.26.255.254 | 67.26.255.255 | 65,534 |
| 28 | 67.27.0.0/16 | 67.27.0.1 to 67.27.255.254 | 67.27.255.255 | 65,534 |
| 29 | 67.28.0.0/16 | 67.28.0.1 to 67.28.255.254 | 67.28.255.255 | 65,534 |
| 30 | 67.29.0.0/16 | 67.29.0.1 to 67.29.255.254 | 67.29.255.255 | 65,534 |
| 31 | 67.30.0.0/16 | 67.30.0.1 to 67.30.255.254 | 67.30.255.255 | 65,534 |
| 32 | 67.31.0.0/16 | 67.31.0.1 to 67.31.255.254 | 67.31.255.255 | 65,534 |
| 33 | 67.32.0.0/16 | 67.32.0.1 to 67.32.255.254 | 67.32.255.255 | 65,534 |
| 34 | 67.33.0.0/16 | 67.33.0.1 to 67.33.255.254 | 67.33.255.255 | 65,534 |
| 35 | 67.34.0.0/16 | 67.34.0.1 to 67.34.255.254 | 67.34.255.255 | 65,534 |
| 36 | 67.35.0.0/16 | 67.35.0.1 to 67.35.255.254 | 67.35.255.255 | 65,534 |
| 37 | 67.36.0.0/16 | 67.36.0.1 to 67.36.255.254 | 67.36.255.255 | 65,534 |
| 38 | 67.37.0.0/16 | 67.37.0.1 to 67.37.255.254 | 67.37.255.255 | 65,534 |
| 39 | 67.38.0.0/16 | 67.38.0.1 to 67.38.255.254 | 67.38.255.255 | 65,534 |
| 40 | 67.39.0.0/16 | 67.39.0.1 to 67.39.255.254 | 67.39.255.255 | 65,534 |
| 41 | 67.40.0.0/16 | 67.40.0.1 to 67.40.255.254 | 67.40.255.255 | 65,534 |
| 42 | 67.41.0.0/16 | 67.41.0.1 to 67.41.255.254 | 67.41.255.255 | 65,534 |
| 43 | 67.42.0.0/16 | 67.42.0.1 to 67.42.255.254 | 67.42.255.255 | 65,534 |
| 44 | 67.43.0.0/16 | 67.43.0.1 to 67.43.255.254 | 67.43.255.255 | 65,534 |
| 45 | 67.44.0.0/16 | 67.44.0.1 to 67.44.255.254 | 67.44.255.255 | 65,534 |
| 46 | 67.45.0.0/16 | 67.45.0.1 to 67.45.255.254 | 67.45.255.255 | 65,534 |
| 47 | 67.46.0.0/16 | 67.46.0.1 to 67.46.255.254 | 67.46.255.255 | 65,534 |
| 48 | 67.47.0.0/16 | 67.47.0.1 to 67.47.255.254 | 67.47.255.255 | 65,534 |
| 49 | 67.48.0.0/16 | 67.48.0.1 to 67.48.255.254 | 67.48.255.255 | 65,534 |
| 50 | 67.49.0.0/16 | 67.49.0.1 to 67.49.255.254 | 67.49.255.255 | 65,534 |
| 51 | 67.50.0.0/16 | 67.50.0.1 to 67.50.255.254 | 67.50.255.255 | 65,534 |
| 52 | 67.51.0.0/16 | 67.51.0.1 to 67.51.255.254 | 67.51.255.255 | 65,534 |
| 53 | 67.52.0.0/16 | 67.52.0.1 to 67.52.255.254 | 67.52.255.255 | 65,534 |
| 54 | 67.53.0.0/16 | 67.53.0.1 to 67.53.255.254 | 67.53.255.255 | 65,534 |
| 55 | 67.54.0.0/16 | 67.54.0.1 to 67.54.255.254 | 67.54.255.255 | 65,534 |
| 56 | 67.55.0.0/16 | 67.55.0.1 to 67.55.255.254 | 67.55.255.255 | 65,534 |
| 57 | 67.56.0.0/16 | 67.56.0.1 to 67.56.255.254 | 67.56.255.255 | 65,534 |
| 58 | 67.57.0.0/16 | 67.57.0.1 to 67.57.255.254 | 67.57.255.255 | 65,534 |
| 59 | 67.58.0.0/16 | 67.58.0.1 to 67.58.255.254 | 67.58.255.255 | 65,534 |
| 60 | 67.59.0.0/16 | 67.59.0.1 to 67.59.255.254 | 67.59.255.255 | 65,534 |
| 61 | 67.60.0.0/16 | 67.60.0.1 to 67.60.255.254 | 67.60.255.255 | 65,534 |
| 62 | 67.61.0.0/16 | 67.61.0.1 to 67.61.255.254 | 67.61.255.255 | 65,534 |
| 63 | 67.62.0.0/16 | 67.62.0.1 to 67.62.255.254 | 67.62.255.255 | 65,534 |
| 64 | 67.63.0.0/16 | 67.63.0.1 to 67.63.255.254 | 67.63.255.255 | 65,534 |
| 65 | 67.64.0.0/16 | 67.64.0.1 to 67.64.255.254 | 67.64.255.255 | 65,534 |
| 66 | 67.65.0.0/16 | 67.65.0.1 to 67.65.255.254 | 67.65.255.255 | 65,534 |
| 67 | 67.66.0.0/16 | 67.66.0.1 to 67.66.255.254 | 67.66.255.255 | 65,534 |
| 68 | 67.67.0.0/16 | 67.67.0.1 to 67.67.255.254 | 67.67.255.255 | 65,534 |
| 69 | 67.68.0.0/16 | 67.68.0.1 to 67.68.255.254 | 67.68.255.255 | 65,534 |
| 70 | 67.69.0.0/16 | 67.69.0.1 to 67.69.255.254 | 67.69.255.255 | 65,534 |
| 71 | 67.70.0.0/16 | 67.70.0.1 to 67.70.255.254 | 67.70.255.255 | 65,534 |
| 72 | 67.71.0.0/16 | 67.71.0.1 to 67.71.255.254 | 67.71.255.255 | 65,534 |
| 73 | 67.72.0.0/16 | 67.72.0.1 to 67.72.255.254 | 67.72.255.255 | 65,534 |
| 74 | 67.73.0.0/16 | 67.73.0.1 to 67.73.255.254 | 67.73.255.255 | 65,534 |
| 75 | 67.74.0.0/16 | 67.74.0.1 to 67.74.255.254 | 67.74.255.255 | 65,534 |
| 76 | 67.75.0.0/16 | 67.75.0.1 to 67.75.255.254 | 67.75.255.255 | 65,534 |
| 77 | 67.76.0.0/16 | 67.76.0.1 to 67.76.255.254 | 67.76.255.255 | 65,534 |
| 78 | 67.77.0.0/16 | 67.77.0.1 to 67.77.255.254 | 67.77.255.255 | 65,534 |
| 79 | 67.78.0.0/16 | 67.78.0.1 to 67.78.255.254 | 67.78.255.255 | 65,534 |
| 80 | 67.79.0.0/16 | 67.79.0.1 to 67.79.255.254 | 67.79.255.255 | 65,534 |
| 81 | 67.80.0.0/16 | 67.80.0.1 to 67.80.255.254 | 67.80.255.255 | 65,534 |
| 82 | 67.81.0.0/16 | 67.81.0.1 to 67.81.255.254 | 67.81.255.255 | 65,534 |
| 83 | 67.82.0.0/16 | 67.82.0.1 to 67.82.255.254 | 67.82.255.255 | 65,534 |
| 84 | 67.83.0.0/16 | 67.83.0.1 to 67.83.255.254 | 67.83.255.255 | 65,534 |
| 85 | 67.84.0.0/16 | 67.84.0.1 to 67.84.255.254 | 67.84.255.255 | 65,534 |
| 86 | 67.85.0.0/16 | 67.85.0.1 to 67.85.255.254 | 67.85.255.255 | 65,534 |
| 87 | 67.86.0.0/16 | 67.86.0.1 to 67.86.255.254 | 67.86.255.255 | 65,534 |
| 88 | 67.87.0.0/16 | 67.87.0.1 to 67.87.255.254 | 67.87.255.255 | 65,534 |
| 89 | 67.88.0.0/16 | 67.88.0.1 to 67.88.255.254 | 67.88.255.255 | 65,534 |
| 90 | 67.89.0.0/16 | 67.89.0.1 to 67.89.255.254 | 67.89.255.255 | 65,534 |
| 91 | 67.90.0.0/16 | 67.90.0.1 to 67.90.255.254 | 67.90.255.255 | 65,534 |
| 92 | 67.91.0.0/16 | 67.91.0.1 to 67.91.255.254 | 67.91.255.255 | 65,534 |
| 93 | 67.92.0.0/16 | 67.92.0.1 to 67.92.255.254 | 67.92.255.255 | 65,534 |
| 94 | 67.93.0.0/16 | 67.93.0.1 to 67.93.255.254 | 67.93.255.255 | 65,534 |
| 95 | 67.94.0.0/16 | 67.94.0.1 to 67.94.255.254 | 67.94.255.255 | 65,534 |
| 96 | 67.95.0.0/16 | 67.95.0.1 to 67.95.255.254 | 67.95.255.255 | 65,534 |
| 97 | 67.96.0.0/16 | 67.96.0.1 to 67.96.255.254 | 67.96.255.255 | 65,534 |
| 98 | 67.97.0.0/16 | 67.97.0.1 to 67.97.255.254 | 67.97.255.255 | 65,534 |
| 99 | 67.98.0.0/16 | 67.98.0.1 to 67.98.255.254 | 67.98.255.255 | 65,534 |
| 100 | 67.99.0.0/16 | 67.99.0.1 to 67.99.255.254 | 67.99.255.255 | 65,534 |
| 101 | 67.100.0.0/16 | 67.100.0.1 to 67.100.255.254 | 67.100.255.255 | 65,534 |
| 102 | 67.101.0.0/16 | 67.101.0.1 to 67.101.255.254 | 67.101.255.255 | 65,534 |
| 103 | 67.102.0.0/16 | 67.102.0.1 to 67.102.255.254 | 67.102.255.255 | 65,534 |
| 104 | 67.103.0.0/16 | 67.103.0.1 to 67.103.255.254 | 67.103.255.255 | 65,534 |
| 105 | 67.104.0.0/16 | 67.104.0.1 to 67.104.255.254 | 67.104.255.255 | 65,534 |
| 106 | 67.105.0.0/16 | 67.105.0.1 to 67.105.255.254 | 67.105.255.255 | 65,534 |
| 107 | 67.106.0.0/16 | 67.106.0.1 to 67.106.255.254 | 67.106.255.255 | 65,534 |
| 108 | 67.107.0.0/16 | 67.107.0.1 to 67.107.255.254 | 67.107.255.255 | 65,534 |
| 109 | 67.108.0.0/16 | 67.108.0.1 to 67.108.255.254 | 67.108.255.255 | 65,534 |
| 110 | 67.109.0.0/16 | 67.109.0.1 to 67.109.255.254 | 67.109.255.255 | 65,534 |
| 111 | 67.110.0.0/16 | 67.110.0.1 to 67.110.255.254 | 67.110.255.255 | 65,534 |
| 112 | 67.111.0.0/16 | 67.111.0.1 to 67.111.255.254 | 67.111.255.255 | 65,534 |
| 113 | 67.112.0.0/16 | 67.112.0.1 to 67.112.255.254 | 67.112.255.255 | 65,534 |
| 114 | 67.113.0.0/16 | 67.113.0.1 to 67.113.255.254 | 67.113.255.255 | 65,534 |
| 115 | 67.114.0.0/16 | 67.114.0.1 to 67.114.255.254 | 67.114.255.255 | 65,534 |
| 116 | 67.115.0.0/16 | 67.115.0.1 to 67.115.255.254 | 67.115.255.255 | 65,534 |
| 117 | 67.116.0.0/16 | 67.116.0.1 to 67.116.255.254 | 67.116.255.255 | 65,534 |
| 118 | 67.117.0.0/16 | 67.117.0.1 to 67.117.255.254 | 67.117.255.255 | 65,534 |
| 119 | 67.118.0.0/16 | 67.118.0.1 to 67.118.255.254 | 67.118.255.255 | 65,534 |
| 120 | 67.119.0.0/16 | 67.119.0.1 to 67.119.255.254 | 67.119.255.255 | 65,534 |
| 121 | 67.120.0.0/16 | 67.120.0.1 to 67.120.255.254 | 67.120.255.255 | 65,534 |
| 122 | 67.121.0.0/16 | 67.121.0.1 to 67.121.255.254 | 67.121.255.255 | 65,534 |
| 123 | 67.122.0.0/16 | 67.122.0.1 to 67.122.255.254 | 67.122.255.255 | 65,534 |
| 124 | 67.123.0.0/16 | 67.123.0.1 to 67.123.255.254 | 67.123.255.255 | 65,534 |
| 125 | 67.124.0.0/16 | 67.124.0.1 to 67.124.255.254 | 67.124.255.255 | 65,534 |
| 126 | 67.125.0.0/16 | 67.125.0.1 to 67.125.255.254 | 67.125.255.255 | 65,534 |
| 127 | 67.126.0.0/16 | 67.126.0.1 to 67.126.255.254 | 67.126.255.255 | 65,534 |
| 128 | 67.127.0.0/16 | 67.127.0.1 to 67.127.255.254 | 67.127.255.255 | 65,534 |
| 129 | 67.128.0.0/16 | 67.128.0.1 to 67.128.255.254 | 67.128.255.255 | 65,534 |
| 130 | 67.129.0.0/16 | 67.129.0.1 to 67.129.255.254 | 67.129.255.255 | 65,534 |
| 131 | 67.130.0.0/16 | 67.130.0.1 to 67.130.255.254 | 67.130.255.255 | 65,534 |
| 132 | 67.131.0.0/16 | 67.131.0.1 to 67.131.255.254 | 67.131.255.255 | 65,534 |
| 133 | 67.132.0.0/16 | 67.132.0.1 to 67.132.255.254 | 67.132.255.255 | 65,534 |
| 134 | 67.133.0.0/16 | 67.133.0.1 to 67.133.255.254 | 67.133.255.255 | 65,534 |
| 135 | 67.134.0.0/16 | 67.134.0.1 to 67.134.255.254 | 67.134.255.255 | 65,534 |
| 136 | 67.135.0.0/16 | 67.135.0.1 to 67.135.255.254 | 67.135.255.255 | 65,534 |
| 137 | 67.136.0.0/16 | 67.136.0.1 to 67.136.255.254 | 67.136.255.255 | 65,534 |
| 138 | 67.137.0.0/16 | 67.137.0.1 to 67.137.255.254 | 67.137.255.255 | 65,534 |
| 139 | 67.138.0.0/16 | 67.138.0.1 to 67.138.255.254 | 67.138.255.255 | 65,534 |
| 140 | 67.139.0.0/16 | 67.139.0.1 to 67.139.255.254 | 67.139.255.255 | 65,534 |
| 141 | 67.140.0.0/16 | 67.140.0.1 to 67.140.255.254 | 67.140.255.255 | 65,534 |
| 142 | 67.141.0.0/16 | 67.141.0.1 to 67.141.255.254 | 67.141.255.255 | 65,534 |
| 143 | 67.142.0.0/16 | 67.142.0.1 to 67.142.255.254 | 67.142.255.255 | 65,534 |
| 144 | 67.143.0.0/16 | 67.143.0.1 to 67.143.255.254 | 67.143.255.255 | 65,534 |
| 145 | 67.144.0.0/16 | 67.144.0.1 to 67.144.255.254 | 67.144.255.255 | 65,534 |
| 146 | 67.145.0.0/16 | 67.145.0.1 to 67.145.255.254 | 67.145.255.255 | 65,534 |
| 147 | 67.146.0.0/16 | 67.146.0.1 to 67.146.255.254 | 67.146.255.255 | 65,534 |
| 148 | 67.147.0.0/16 | 67.147.0.1 to 67.147.255.254 | 67.147.255.255 | 65,534 |
| 149 | 67.148.0.0/16 | 67.148.0.1 to 67.148.255.254 | 67.148.255.255 | 65,534 |
| 150 | 67.149.0.0/16 | 67.149.0.1 to 67.149.255.254 | 67.149.255.255 | 65,534 |
| 151 | 67.150.0.0/16 | 67.150.0.1 to 67.150.255.254 | 67.150.255.255 | 65,534 |
| 152 | 67.151.0.0/16 | 67.151.0.1 to 67.151.255.254 | 67.151.255.255 | 65,534 |
| 153 | 67.152.0.0/16 | 67.152.0.1 to 67.152.255.254 | 67.152.255.255 | 65,534 |
| 154 | 67.153.0.0/16 | 67.153.0.1 to 67.153.255.254 | 67.153.255.255 | 65,534 |
| 155 | 67.154.0.0/16 | 67.154.0.1 to 67.154.255.254 | 67.154.255.255 | 65,534 |
| 156 | 67.155.0.0/16 | 67.155.0.1 to 67.155.255.254 | 67.155.255.255 | 65,534 |
| 157 | 67.156.0.0/16 | 67.156.0.1 to 67.156.255.254 | 67.156.255.255 | 65,534 |
| 158 | 67.157.0.0/16 | 67.157.0.1 to 67.157.255.254 | 67.157.255.255 | 65,534 |
| 159 | 67.158.0.0/16 | 67.158.0.1 to 67.158.255.254 | 67.158.255.255 | 65,534 |
| 160 | 67.159.0.0/16 | 67.159.0.1 to 67.159.255.254 | 67.159.255.255 | 65,534 |
| 161 | 67.160.0.0/16 | 67.160.0.1 to 67.160.255.254 | 67.160.255.255 | 65,534 |
| 162 | 67.161.0.0/16 | 67.161.0.1 to 67.161.255.254 | 67.161.255.255 | 65,534 |
| 163 | 67.162.0.0/16 | 67.162.0.1 to 67.162.255.254 | 67.162.255.255 | 65,534 |
| 164 | 67.163.0.0/16 | 67.163.0.1 to 67.163.255.254 | 67.163.255.255 | 65,534 |
| 165 | 67.164.0.0/16 | 67.164.0.1 to 67.164.255.254 | 67.164.255.255 | 65,534 |
| 166 | 67.165.0.0/16 | 67.165.0.1 to 67.165.255.254 | 67.165.255.255 | 65,534 |
| 167 | 67.166.0.0/16 | 67.166.0.1 to 67.166.255.254 | 67.166.255.255 | 65,534 |
| 168 | 67.167.0.0/16 | 67.167.0.1 to 67.167.255.254 | 67.167.255.255 | 65,534 |
| 169 | 67.168.0.0/16 | 67.168.0.1 to 67.168.255.254 | 67.168.255.255 | 65,534 |
| 170 | 67.169.0.0/16 | 67.169.0.1 to 67.169.255.254 | 67.169.255.255 | 65,534 |
| 171 | 67.170.0.0/16 | 67.170.0.1 to 67.170.255.254 | 67.170.255.255 | 65,534 |
| 172 | 67.171.0.0/16 | 67.171.0.1 to 67.171.255.254 | 67.171.255.255 | 65,534 |
| 173 | 67.172.0.0/16 | 67.172.0.1 to 67.172.255.254 | 67.172.255.255 | 65,534 |
| 174 | 67.173.0.0/16 | 67.173.0.1 to 67.173.255.254 | 67.173.255.255 | 65,534 |
| 175 | 67.174.0.0/16 | 67.174.0.1 to 67.174.255.254 | 67.174.255.255 | 65,534 |
| 176 | 67.175.0.0/16 | 67.175.0.1 to 67.175.255.254 | 67.175.255.255 | 65,534 |
| 177 | 67.176.0.0/16 | 67.176.0.1 to 67.176.255.254 | 67.176.255.255 | 65,534 |
| 178 | 67.177.0.0/16 | 67.177.0.1 to 67.177.255.254 | 67.177.255.255 | 65,534 |
| 179 | 67.178.0.0/16 | 67.178.0.1 to 67.178.255.254 | 67.178.255.255 | 65,534 |
| 180 | 67.179.0.0/16 | 67.179.0.1 to 67.179.255.254 | 67.179.255.255 | 65,534 |
| 181 | 67.180.0.0/16 | 67.180.0.1 to 67.180.255.254 | 67.180.255.255 | 65,534 |
| 182 | 67.181.0.0/16 | 67.181.0.1 to 67.181.255.254 | 67.181.255.255 | 65,534 |
| 183 | 67.182.0.0/16 | 67.182.0.1 to 67.182.255.254 | 67.182.255.255 | 65,534 |
| 184 | 67.183.0.0/16 | 67.183.0.1 to 67.183.255.254 | 67.183.255.255 | 65,534 |
| 185 | 67.184.0.0/16 | 67.184.0.1 to 67.184.255.254 | 67.184.255.255 | 65,534 |
| 186 | 67.185.0.0/16 | 67.185.0.1 to 67.185.255.254 | 67.185.255.255 | 65,534 |
| 187 | 67.186.0.0/16 | 67.186.0.1 to 67.186.255.254 | 67.186.255.255 | 65,534 |
| 188 | 67.187.0.0/16 | 67.187.0.1 to 67.187.255.254 | 67.187.255.255 | 65,534 |
| 189 | 67.188.0.0/16 | 67.188.0.1 to 67.188.255.254 | 67.188.255.255 | 65,534 |
| 190 | 67.189.0.0/16 | 67.189.0.1 to 67.189.255.254 | 67.189.255.255 | 65,534 |
| 191 | 67.190.0.0/16 | 67.190.0.1 to 67.190.255.254 | 67.190.255.255 | 65,534 |
| 192 | 67.191.0.0/16 | 67.191.0.1 to 67.191.255.254 | 67.191.255.255 | 65,534 |
| 193 | 67.192.0.0/16 | 67.192.0.1 to 67.192.255.254 | 67.192.255.255 | 65,534 |
| 194 | 67.193.0.0/16 | 67.193.0.1 to 67.193.255.254 | 67.193.255.255 | 65,534 |
| 195 | 67.194.0.0/16 | 67.194.0.1 to 67.194.255.254 | 67.194.255.255 | 65,534 |
| 196 | 67.195.0.0/16 | 67.195.0.1 to 67.195.255.254 | 67.195.255.255 | 65,534 |
| 197 | 67.196.0.0/16 | 67.196.0.1 to 67.196.255.254 | 67.196.255.255 | 65,534 |
| 198 | 67.197.0.0/16 | 67.197.0.1 to 67.197.255.254 | 67.197.255.255 | 65,534 |
| 199 | 67.198.0.0/16 | 67.198.0.1 to 67.198.255.254 | 67.198.255.255 | 65,534 |
| 200 | 67.199.0.0/16 | 67.199.0.1 to 67.199.255.254 | 67.199.255.255 | 65,534 |
| 201 | 67.200.0.0/16 | 67.200.0.1 to 67.200.255.254 | 67.200.255.255 | 65,534 |
| 202 | 67.201.0.0/16 | 67.201.0.1 to 67.201.255.254 | 67.201.255.255 | 65,534 |
| 203 | 67.202.0.0/16 | 67.202.0.1 to 67.202.255.254 | 67.202.255.255 | 65,534 |
| 204 | 67.203.0.0/16 | 67.203.0.1 to 67.203.255.254 | 67.203.255.255 | 65,534 |
| 205 | 67.204.0.0/16 | 67.204.0.1 to 67.204.255.254 | 67.204.255.255 | 65,534 |
| 206 | 67.205.0.0/16 | 67.205.0.1 to 67.205.255.254 | 67.205.255.255 | 65,534 |
| 207 | 67.206.0.0/16 | 67.206.0.1 to 67.206.255.254 | 67.206.255.255 | 65,534 |
| 208 | 67.207.0.0/16 | 67.207.0.1 to 67.207.255.254 | 67.207.255.255 | 65,534 |
| 209 | 67.208.0.0/16 | 67.208.0.1 to 67.208.255.254 | 67.208.255.255 | 65,534 |
| 210 | 67.209.0.0/16 | 67.209.0.1 to 67.209.255.254 | 67.209.255.255 | 65,534 |
| 211 | 67.210.0.0/16 | 67.210.0.1 to 67.210.255.254 | 67.210.255.255 | 65,534 |
| 212 | 67.211.0.0/16 | 67.211.0.1 to 67.211.255.254 | 67.211.255.255 | 65,534 |
| 213 | 67.212.0.0/16 | 67.212.0.1 to 67.212.255.254 | 67.212.255.255 | 65,534 |
| 214 | 67.213.0.0/16 | 67.213.0.1 to 67.213.255.254 | 67.213.255.255 | 65,534 |
| 215 | 67.214.0.0/16 | 67.214.0.1 to 67.214.255.254 | 67.214.255.255 | 65,534 |
| 216 | 67.215.0.0/16 | 67.215.0.1 to 67.215.255.254 | 67.215.255.255 | 65,534 |
| 217 | 67.216.0.0/16 | 67.216.0.1 to 67.216.255.254 | 67.216.255.255 | 65,534 |
| 218 | 67.217.0.0/16 | 67.217.0.1 to 67.217.255.254 | 67.217.255.255 | 65,534 |
| 219 | 67.218.0.0/16 | 67.218.0.1 to 67.218.255.254 | 67.218.255.255 | 65,534 |
| 220 | 67.219.0.0/16 | 67.219.0.1 to 67.219.255.254 | 67.219.255.255 | 65,534 |
| 221 | 67.220.0.0/16 | 67.220.0.1 to 67.220.255.254 | 67.220.255.255 | 65,534 |
| 222 | 67.221.0.0/16 | 67.221.0.1 to 67.221.255.254 | 67.221.255.255 | 65,534 |
| 223 | 67.222.0.0/16 | 67.222.0.1 to 67.222.255.254 | 67.222.255.255 | 65,534 |
| 224 | 67.223.0.0/16 | 67.223.0.1 to 67.223.255.254 | 67.223.255.255 | 65,534 |
| 225 | 67.224.0.0/16 | 67.224.0.1 to 67.224.255.254 | 67.224.255.255 | 65,534 |
| 226 | 67.225.0.0/16 | 67.225.0.1 to 67.225.255.254 | 67.225.255.255 | 65,534 |
| 227 | 67.226.0.0/16 | 67.226.0.1 to 67.226.255.254 | 67.226.255.255 | 65,534 |
| 228 | 67.227.0.0/16 | 67.227.0.1 to 67.227.255.254 | 67.227.255.255 | 65,534 |
| 229 | 67.228.0.0/16 | 67.228.0.1 to 67.228.255.254 | 67.228.255.255 | 65,534 |
| 230 | 67.229.0.0/16 | 67.229.0.1 to 67.229.255.254 | 67.229.255.255 | 65,534 |
| 231 | 67.230.0.0/16 | 67.230.0.1 to 67.230.255.254 | 67.230.255.255 | 65,534 |
| 232 | 67.231.0.0/16 | 67.231.0.1 to 67.231.255.254 | 67.231.255.255 | 65,534 |
| 233 | 67.232.0.0/16 | 67.232.0.1 to 67.232.255.254 | 67.232.255.255 | 65,534 |
| 234 | 67.233.0.0/16 | 67.233.0.1 to 67.233.255.254 | 67.233.255.255 | 65,534 |
| 235 | 67.234.0.0/16 | 67.234.0.1 to 67.234.255.254 | 67.234.255.255 | 65,534 |
| 236 | 67.235.0.0/16 | 67.235.0.1 to 67.235.255.254 | 67.235.255.255 | 65,534 |
| 237 | 67.236.0.0/16 | 67.236.0.1 to 67.236.255.254 | 67.236.255.255 | 65,534 |
| 238 | 67.237.0.0/16 | 67.237.0.1 to 67.237.255.254 | 67.237.255.255 | 65,534 |
| 239 | 67.238.0.0/16 | 67.238.0.1 to 67.238.255.254 | 67.238.255.255 | 65,534 |
| 240 | 67.239.0.0/16 | 67.239.0.1 to 67.239.255.254 | 67.239.255.255 | 65,534 |
| 241 | 67.240.0.0/16 | 67.240.0.1 to 67.240.255.254 | 67.240.255.255 | 65,534 |
| 242 | 67.241.0.0/16 | 67.241.0.1 to 67.241.255.254 | 67.241.255.255 | 65,534 |
| 243 | 67.242.0.0/16 | 67.242.0.1 to 67.242.255.254 | 67.242.255.255 | 65,534 |
| 244 | 67.243.0.0/16 | 67.243.0.1 to 67.243.255.254 | 67.243.255.255 | 65,534 |
| 245 | 67.244.0.0/16 | 67.244.0.1 to 67.244.255.254 | 67.244.255.255 | 65,534 |
| 246 | 67.245.0.0/16 | 67.245.0.1 to 67.245.255.254 | 67.245.255.255 | 65,534 |
| 247 | 67.246.0.0/16 | 67.246.0.1 to 67.246.255.254 | 67.246.255.255 | 65,534 |
| 248 | 67.247.0.0/16 | 67.247.0.1 to 67.247.255.254 | 67.247.255.255 | 65,534 |
| 249 | 67.248.0.0/16 | 67.248.0.1 to 67.248.255.254 | 67.248.255.255 | 65,534 |
| 250 | 67.249.0.0/16 | 67.249.0.1 to 67.249.255.254 | 67.249.255.255 | 65,534 |
| 251 | 67.250.0.0/16 | 67.250.0.1 to 67.250.255.254 | 67.250.255.255 | 65,534 |
| 252 | 67.251.0.0/16 | 67.251.0.1 to 67.251.255.254 | 67.251.255.255 | 65,534 |
| 253 | 67.252.0.0/16 | 67.252.0.1 to 67.252.255.254 | 67.252.255.255 | 65,534 |
| 254 | 67.253.0.0/16 | 67.253.0.1 to 67.253.255.254 | 67.253.255.255 | 65,534 |
| 255 | 67.254.0.0/16 | 67.254.0.1 to 67.254.255.254 | 67.254.255.255 | 65,534 |
| 256 | 67.255.0.0/16 | 67.255.0.1 to 67.255.255.254 | 67.255.255.255 | 65,534 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |